import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const ListItemSubtitle = /*@__PURE__*/ proxyCustomElement(class ListItemSubtitle extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        return (h(Host, { key: 'aed0f61d51b0f2822432686915a0072320ba29d7', class: "bal-list__item__subtitle" }, h("slot", { key: '14bfb0cb477c8da62cef9ff2c51a7216462eb3de' })));
    }
}, [260, "bal-list-item-subtitle"]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-list-item-subtitle"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-list-item-subtitle":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ListItemSubtitle);
            }
            break;
    } });
}

export { ListItemSubtitle as L, defineCustomElement as d };
